package models

type HisChargePrescriptionProject struct {
	ID         int64      `gorm:"column:id" json:"id" form:"id"`
	ProjectId  int64      `gorm:"column:project_id" json:"project_id" form:"project_id"`
	UserOrgId  int64      `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status     int64      `gorm:"column:status" json:"status" form:"status"`
	PatientId  int64      `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordDate int64      `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Count      int64      `gorm:"column:count" json:"count" form:"count"`
	HisProject HisProject `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"project"`
	GoodInfo   GoodInfo   `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"good_info"`
}

func (HisChargePrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type HisChargeDoctorAdviceInfo struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceName string `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
}

func (HisChargeDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type HisChargeOrderInfo struct {
	ID                           int64                        `gorm:"column:id" json:"id" form:"id"`
	OrderNumber                  string                       `gorm:"column:order_number" json:"order_number" form:"order_number"`
	AdviceId                     int64                        `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt             float64                      `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt                          float64                      `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric                         float64                      `gorm:"column:pric" json:"pric" form:"pric"`
	MedChrgitmType               string                       `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	Status                       int64                        `gorm:"column:status" json:"status" form:"status"`
	ChldMedcFlag                 string                       `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	ChrgitmLv                    string                       `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId                    int64                        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId                    int64                        `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type                         int64                        `gorm:"column:type" json:"type" form:"type"`
	HisChargePrescriptionProject HisChargePrescriptionProject `gorm:"ForeignKey:ID;AssociationForeignKey:AdviceId" json:"project"`
	HisChargeDoctorAdviceInfo    HisChargeDoctorAdviceInfo    `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"advice"`
}

func (HisChargeOrderInfo) TableName() string {
	return "his_order_info"
}

type ChargePatient struct {
	ID             int64             `gorm:"column:id" json:"id" form:"id"`
	UserOrgId      int64             `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Name           string            `gorm:"column:name" json:"name" form:"name"`
	Lapseto        int64             `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	Status         int64             `gorm:"column:status" json:"status" form:"status"`
	HisChargeOrder []*HisChargeOrder `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"orders"`
}

func (ChargePatient) TableName() string {
	return "xt_patients"
}

type HisChargeOrder struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId       int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate int64  `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Number             string `gorm:"column:number" json:"number" form:"number"`
	OrderStatus        int64  `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId            string `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`

	HisChargeOrderInfo []*HisChargeOrderInfo `gorm:"ForeignKey:OrderNumber;AssociationForeignKey:Number" json:"orders"`
}

func (HisChargeOrder) TableName() string {
	return "his_order"
}
